diff --git a/src/main/java/net/minecraft/core/block/piston/BlockPistonHead.java b/src/main/java/net/minecraft/core/block/piston/PistonHeadBlock.java
similarity index 85%
rename from src/main/java/net/minecraft/core/block/piston/BlockPistonHead.java
rename to src/main/java/net/minecraft/core/block/piston/PistonHeadBlock.java
index 3bc54f8e0..05064fd5b 100644
--- a/src/main/java/net/minecraft/core/block/piston/BlockPistonHead.java
+++ b/src/main/java/net/minecraft/core/block/piston/PistonHeadBlock.java
@@ -2,37 +2,27 @@ package net.minecraft.core.block.piston;
 
 import java.util.ArrayList;
 
-import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.Blocks;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.block.logic.PistonDirections;
+import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-public class BlockPistonHead extends Block
+public class PistonHeadBlock extends Block
 {
 
-    public BlockPistonHead(String key, int id)
+    public PistonHeadBlock(String key, String namespaceId, int id)
     {
-        super(key, id, Material.piston);
-        faceTexture = null;
+        super(key, namespaceId, id, Material.piston);
         withHardness(0.5F);
     }
 
-    public void setFaceTexture(IconCoordinate icon)
-    {
-        faceTexture = icon;
-    }
-
-    public void resetFace()
-    {
-        faceTexture = null;
-    }
-
     @Override
     public void onBlockRemoved(World world, int x, int y, int z, int data)
     {
@@ -46,10 +36,10 @@ public class BlockPistonHead extends Block
         y += PistonDirections.yOffset[orientation];
         z += PistonDirections.zOffset[orientation];
         int k1 = world.getBlockId(x, y, z);
-        if(k1 == Block.pistonBase.id || k1 == Block.pistonBaseSticky.id)
+        if(k1 == Blocks.PISTON_BASE.id || k1 == Blocks.PISTON_BASE_STICKY.id)
         {
             int i1 = world.getBlockMetadata(x, y, z);
-            if(BlockPistonBase.isPowered(i1))
+            if(BasePistonBlock.isPowered(i1))
             {
                 Block.blocksList[k1].dropBlockWithCause(world, EnumDropCause.PROPER_TOOL, x, y, z, i1, null);
                 world.setBlockWithNotify(x, y, z, 0);
@@ -64,7 +54,7 @@ public class BlockPistonHead extends Block
     }
 
     @Override
-	public boolean renderAsNormalBlock()
+	public boolean isCubeShaped()
     {
         return false;
     }
@@ -76,7 +66,7 @@ public class BlockPistonHead extends Block
     }
 
     @Override
-    public boolean canPlaceBlockOnSide(World world, int x, int y, int z, int side)
+    public boolean canPlaceBlockOnSide(World world, int x, int y, int z, Side side)
     {
         return false;
     }
@@ -172,7 +162,7 @@ public class BlockPistonHead extends Block
         	return;
         }
         int id = world.getBlockId(x - PistonDirections.xOffset[direction], y - PistonDirections.yOffset[direction], z - PistonDirections.zOffset[direction]);
-        if(id != Block.pistonBase.id && id != Block.pistonBaseSticky.id)
+        if(id != Blocks.PISTON_BASE.id && id != Blocks.PISTON_BASE_STICKY.id)
         {
             world.setBlockWithNotify(x, y, z, 0);
         } else
@@ -183,26 +173,24 @@ public class BlockPistonHead extends Block
 
     public static int getDirectionFromMeta(int meta)
     {
-        return meta & 7;
+        return meta & 0b111;
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
     {
         if (dropCause == EnumDropCause.PICK_BLOCK)
         {
-            if((meta & 8) != 0)
+            if((meta & 0b1000) != 0)
             {
-                return new ItemStack[] { new ItemStack(Block.pistonBaseSticky) };
+                return new ItemStack[] { new ItemStack(Blocks.PISTON_BASE_STICKY) };
             }
             else
             {
-                return new ItemStack[] { new ItemStack(Block.pistonBase) };
+                return new ItemStack[] { new ItemStack(Blocks.PISTON_BASE) };
             }
         }
 
         return null;
     }
-
-    public IconCoordinate faceTexture;
 }
diff --git a/src/main/java/net/minecraft/core/block/tag/BlockTags.java b/src/main/java/net/minecraft/core/block/tag/BlockTags.java
index f6845617c..b2a4e806b 100644
--- a/src/main/java/net/minecraft/core/block/tag/BlockTags.java
+++ b/src/main/java/net/minecraft/core/block/tag/BlockTags.java
@@ -1,8 +1,25 @@
 package net.minecraft.core.block.tag;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.CactusBlock;
+import net.minecraft.core.block.ChainlinkFenceBlock;
+import net.minecraft.core.block.FenceBlock;
+import net.minecraft.core.block.FireBlock;
+import net.minecraft.core.block.FireflyLanternBlock;
+import net.minecraft.core.block.FlowerBlock;
+import net.minecraft.core.block.FluidBlock;
+import net.minecraft.core.block.JarBlock;
+import net.minecraft.core.block.SugarcaneBlock;
+import net.minecraft.core.block.TallGrassBlock;
 import net.minecraft.core.data.tag.Tag;
-import net.minecraft.core.item.ItemToolShears;
+import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.item.ToolShearsItem;
+import net.minecraft.core.item.tool.AxeToolItem;
+import net.minecraft.core.item.tool.HoeToolItem;
+import net.minecraft.core.item.tool.PickaxeToolItem;
+import net.minecraft.core.item.tool.ShovelToolItem;
+import net.minecraft.core.item.tool.SwordToolItem;
 
 import java.lang.reflect.Field;
 import java.util.ArrayList;
@@ -14,27 +31,27 @@ import java.util.List;
 public abstract class BlockTags
 {
     /**
-     * block can be mined by {@link net.minecraft.core.item.tool.ItemToolPickaxe ItemToolPickaxe}.
+     * block can be mined by {@link PickaxeToolItem PickaxeToolItem}.
      */
     public static Tag<Block> MINEABLE_BY_PICKAXE = Tag.of("mineable_by_pickaxe");
     /**
-     * block can be mined by {@link net.minecraft.core.item.tool.ItemToolAxe ItemToolAxe}.
+     * block can be mined by {@link AxeToolItem AxeToolItem}.
      */
     public static Tag<Block> MINEABLE_BY_AXE = Tag.of("mineable_by_axe");
     /**
-     * block can be mined by {@link net.minecraft.core.item.tool.ItemToolShovel ItemToolShovel}.
+     * block can be mined by {@link ShovelToolItem ShovelToolItem}.
      */
     public static Tag<Block> MINEABLE_BY_SHOVEL = Tag.of("mineable_by_shovel");
     /**
-     * block can be mined by {@link net.minecraft.core.item.tool.ItemToolHoe ItemToolHoe}.
+     * block can be mined by {@link HoeToolItem HoeToolItem}.
      */
     public static Tag<Block> MINEABLE_BY_HOE = Tag.of("mineable_by_hoe");
     /**
-     * block can be mined by {@link net.minecraft.core.item.tool.ItemToolSword ItemToolSword}.
+     * block can be mined by {@link SwordToolItem SwordToolItem}.
      */
     public static Tag<Block> MINEABLE_BY_SWORD = Tag.of("mineable_by_sword");
     /**
-     * block can be mined by {@link ItemToolShears ItemShears}.
+     * block can be mined by {@link ToolShearsItem ItemShears}.
      */
     public static Tag<Block> MINEABLE_BY_SHEARS = Tag.of("mineable_by_shears");
     /**
@@ -46,15 +63,15 @@ public abstract class BlockTags
      */
     public static Tag<Block> IS_LAVA = Tag.of("is_lava");
     /**
-     * {@link net.minecraft.core.block.BlockFlower BlockFlower}-derived blocks can be placed on this block.
+     * {@link FlowerBlock FlowerBlock}-derived blocks can be placed on this block.
      */
     public static Tag<Block> GROWS_FLOWERS = Tag.of("grows_flowers");
     /**
-     * {@link net.minecraft.core.block.BlockSugarcane BlockSugarcane} can be placed on this block.
+     * {@link SugarcaneBlock SugarcaneBlock} can be placed on this block.
      */
     public static Tag<Block> GROWS_SUGAR_CANE = Tag.of("grows_sugar_cane");
     /**
-     * {@link net.minecraft.core.block.BlockCactus BlockCactus} can be placed on this block.
+     * {@link CactusBlock CactusBlock} can be placed on this block.
      */
     public static Tag<Block> GROWS_CACTI = Tag.of("grows_cacti");
     /**
@@ -63,11 +80,11 @@ public abstract class BlockTags
     public static Tag<Block> GROWS_TREES = Tag.of("grows_trees");
     public static Tag<Block> GROWS_SPINIFEX = Tag.of("grows_spinifex");
     /**
-     * This block is destroyed when {@link net.minecraft.core.block.BlockFluid BlockFluid}-derived blocks try to move into its space.
+     * This block is destroyed when {@link FluidBlock FluidBlock}-derived blocks try to move into its space.
      */
     public static Tag<Block> BROKEN_BY_FLUIDS = Tag.of("broken_by_fluids");
     /**
-     * The block can have other blocks placed "into" it, like how {@link net.minecraft.core.block.BlockTallGrass BlockTallGrass} behaves.
+     * The block can have other blocks placed "into" it, like how {@link TallGrassBlock TallGrassBlock} behaves.
      */
     public static Tag<Block> PLACE_OVERWRITES = Tag.of("place_overwrites");
     /**
@@ -75,11 +92,11 @@ public abstract class BlockTags
      */
     public static Tag<Block> PASSIVE_MOBS_SPAWN = Tag.of("passive_mobs_spawn");
     /**
-     * {@link net.minecraft.core.entity.animal.EntityFireflyCluster EntityFireflyCluster} can spawn on this block.
+     * {@link FireflyClusterMob FireflyClusterMob} can spawn on this block.
      */
     public static Tag<Block> FIREFLIES_CAN_SPAWN = Tag.of("fireflies_can_spawn");
     /**
-     * {@link net.minecraft.core.block.BlockFence BlockFence} visually connects to this block.
+     * {@link FenceBlock FenceBlock} visually connects to this block.
      */
     public static Tag<Block> FENCES_CONNECT = Tag.of("fences_connect");
     /**
@@ -87,11 +104,11 @@ public abstract class BlockTags
      */
     public static Tag<Block> NOT_IN_CREATIVE_MENU = Tag.of("not_in_creative_menu");
     /**
-     * This block drops as if using a silk touch tool when broken by {@link ItemToolShears ItemShears}.
+     * This block drops as if using a silk touch tool when broken by {@link ToolShearsItem ItemShears}.
      */
     public static Tag<Block> SHEARS_DO_SILK_TOUCH = Tag.of("shears_do_silk_touch");
     /**
-     * This block can be skated on using {@link net.minecraft.core.item.Item#armorBootsIceskates ice skates}. 
+     * This block can be skated on using {@link net.minecraft.core.item.Item#ARMOR_BOOTS_ICESKATES ice skates}.
      */
     public static Tag<Block> SKATEABLE = Tag.of("skateable");
     /**
@@ -103,7 +120,7 @@ public abstract class BlockTags
      */
     public static Tag<Block> CAVES_CUT_THROUGH = Tag.of("caves_cut_through");
     /**
-     * Blocks such as {@link net.minecraft.core.block.BlockLanternFirefly BlockLanternFirefly} can hang off this block.
+     * Blocks such as {@link FireflyLanternBlock FireflyLanternBlock} can hang off this block.
      */
     public static Tag<Block> CAN_HANG_OFF = Tag.of("can_hang_off");
     /**
@@ -111,7 +128,7 @@ public abstract class BlockTags
      */
     public static Tag<Block> OVERRIDE_STEPSOUND = Tag.of("override_stepsound");
     /**
-     * {@link net.minecraft.core.block.BlockFenceChainlink BlockFenceChainlink} visually connects to this block.
+     * {@link ChainlinkFenceBlock ChainlinkFenceBlock} visually connects to this block.
      */
     public static Tag<Block> CHAINLINK_FENCES_CONNECT = Tag.of("chainlink_fences_connect");
     /**
@@ -119,15 +136,15 @@ public abstract class BlockTags
      */
     public static Tag<Block> PREVENT_MOB_SPAWNS = Tag.of("prevent_mob_spawns");
     /**
-     * Block can be planted inside a {@link net.minecraft.core.block.BlockJar BlockJar}
+     * Block can be planted inside a {@link JarBlock JarBlock}
      */
     public static Tag<Block> PLANTABLE_IN_JAR = Tag.of("plantable_in_jar");
     /**
-     * Block allows fire to burn forever on it {@link net.minecraft.core.block.BlockFire BlockFire}
+     * Block allows fire to burn forever on it {@link FireBlock FireBlock}
      */
     public static Tag<Block> INFINITE_BURN = Tag.of("infinite_burn");
     /**
-     * Block is broken on contact with an {@link net.minecraft.core.entity.vehicle.EntityBoat EntityBoat}
+     * Block is broken on contact with an {@link BoatEntity BoatEntity}
      */
     public static Tag<Block> BOAT_BREAKS = Tag.of("boat_breaks");
     /**
diff --git a/src/main/java/net/minecraft/core/crafting/ContainerListener.java b/src/main/java/net/minecraft/core/crafting/ContainerListener.java
new file mode 100644
index 000000000..62c8e1edd
--- /dev/null
+++ b/src/main/java/net/minecraft/core/crafting/ContainerListener.java
@@ -0,0 +1,18 @@
+package net.minecraft.core.crafting;
+
+import net.minecraft.core.item.ItemStack;
+import net.minecraft.core.player.inventory.menu.AbstractContainerMenu;
+
+import java.util.List;
+
+// Referenced classes of package net.minecraft.src:
+//            Container, ItemStack
+
+public interface ContainerListener
+{
+    void updateCraftingInventory(AbstractContainerMenu container, List<ItemStack> list);
+	
+    void updateInventorySlot(AbstractContainerMenu container, int i, ItemStack itemstack);
+
+    void updateCraftingInventoryInfo(AbstractContainerMenu container, int id, int value);
+}
diff --git a/src/main/java/net/minecraft/core/crafting/LookupFuelFurnace.java b/src/main/java/net/minecraft/core/crafting/LookupFuelFurnace.java
index 2edf6ab2d..312b89c88 100644
--- a/src/main/java/net/minecraft/core/crafting/LookupFuelFurnace.java
+++ b/src/main/java/net/minecraft/core/crafting/LookupFuelFurnace.java
@@ -1,7 +1,7 @@
 package net.minecraft.core.crafting;
 
-import net.minecraft.core.item.Item;
-import net.minecraft.core.block.Block;
+import net.minecraft.core.item.Items;
+import net.minecraft.core.block.Blocks;
 
 import java.util.HashMap;
 import java.util.Map;
@@ -16,72 +16,71 @@ public class LookupFuelFurnace {
 	}
 
 	protected void register() {
-		addFuelEntry(Block.planksOak.id, 300);
-		addFuelEntry(Block.planksOakPainted.id, 300);
-		addFuelEntry(Block.stairsPlanksOak.id, 300);
-		addFuelEntry(Block.stairsPlanksOakPainted.id, 300);
-		addFuelEntry(Block.slabPlanksOak.id, 150);
-		addFuelEntry(Block.slabPlanksOakPainted.id, 150);
-		addFuelEntry(Block.fencePlanksOak.id, 300);
-		addFuelEntry(Block.fencePlanksOakPainted.id, 300);
-		addFuelEntry(Block.fencegatePlanksOak.id, 300);
-		addFuelEntry(Block.fencegatePlanksOakPainted.id, 300);
-		addFuelEntry(Block.ladderOak.id, 300);
-		addFuelEntry(Block.bookshelfPlanksOak.id, 300);
-		addFuelEntry(Block.chestPlanksOak.id, 300);
-		addFuelEntry(Block.chestPlanksOakPainted.id, 300);
-		addFuelEntry(Block.workbench.id, 300);
-		addFuelEntry(Block.pressureplatePlanksOak.id, 300);
-		addFuelEntry(Block.trapdoorPlanksOak.id, 300);
-		addFuelEntry(Block.trapdoorPlanksOakPainted.id, 300);
-
-		addFuelEntry(Block.logOak.id, 300);
-		addFuelEntry(Block.logBirch.id, 300);
-		addFuelEntry(Block.logPine.id, 300);
-		addFuelEntry(Block.logCherry.id, 300);
-		addFuelEntry(Block.logOakMossy.id, 300);
-		addFuelEntry(Block.logEucalyptus.id, 300);
-		addFuelEntry(Block.logThorn.id, 300);
-		addFuelEntry(Block.logPalm.id, 300);
-
-		addFuelEntry(Block.saplingOak.id, 100);
-		addFuelEntry(Block.saplingPine.id, 100);
-		addFuelEntry(Block.saplingBirch.id, 100);
-		addFuelEntry(Block.saplingCherry.id, 100);
-		addFuelEntry(Block.saplingEucalyptus.id, 100);
-		addFuelEntry(Block.saplingShrub.id, 100);
-		addFuelEntry(Block.saplingOakRetro.id, 100);
-		addFuelEntry(Block.saplingCacao.id, 100);
-		addFuelEntry(Block.saplingThorn.id, 100);
-		addFuelEntry(Block.saplingPalm.id, 100);
-		addFuelEntry(Block.deadbush.id, 100);
-		addFuelEntry(Block.spinifex.id, 100);
-
-		addFuelEntry(Block.blockCoal.id, 12800);
-		addFuelEntry(Block.blockCharcoal.id, 12800);
-		addFuelEntry(Block.blockNetherCoal.id, 25600);
-
-		addFuelEntry(Item.stick.id, 100);
-
-		addFuelEntry(Item.toolPickaxeWood.id, 500);
-		addFuelEntry(Item.toolSwordWood.id, 500);
-		addFuelEntry(Item.toolAxeWood.id, 500);
-		addFuelEntry(Item.toolShovelWood.id, 500);
-		addFuelEntry(Item.toolHoeWood.id, 500);
-		addFuelEntry(Item.toolBow.id, 300);
-		addFuelEntry(Item.toolFishingrod.id, 300);
-
-		addFuelEntry(Item.boat.id, 300);
-		addFuelEntry(Item.doorOak.id, 300);
-		addFuelEntry(Item.doorOakPainted.id, 300);
-		addFuelEntry(Item.sign.id, 300);
-		addFuelEntry(Item.bowl.id, 300);
-		addFuelEntry(Item.toolCalendar.id, 300);
-
-		addFuelEntry(Item.coal.id, 1600);
-		addFuelEntry(Item.nethercoal.id, 6400);
-
-		addFuelEntry(Item.bucketLava.id, 20000);
+		addFuelEntry(Blocks.PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.PLANKS_OAK_PAINTED.id, 300);
+		addFuelEntry(Blocks.STAIRS_PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.STAIRS_PLANKS_PAINTED.id, 300);
+		addFuelEntry(Blocks.SLAB_PLANKS_OAK.id, 150);
+		addFuelEntry(Blocks.SLAB_PLANKS_PAINTED.id, 150);
+		addFuelEntry(Blocks.FENCE_PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.FENCE_PLANKS_OAK_PAINTED.id, 300);
+		addFuelEntry(Blocks.FENCE_GATE_PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.FENCE_GATE_PLANKS_OAK_PAINTED.id, 300);
+		addFuelEntry(Blocks.LADDER_OAK.id, 300);
+		addFuelEntry(Blocks.BOOKSHELF_PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.CHEST_PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.CHEST_PLANKS_OAK_PAINTED.id, 300);
+		addFuelEntry(Blocks.WORKBENCH.id, 300);
+		addFuelEntry(Blocks.PRESSURE_PLATE_PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.TRAPDOOR_PLANKS_OAK.id, 300);
+		addFuelEntry(Blocks.TRAPDOOR_PLANKS_PAINTED.id, 300);
+
+		addFuelEntry(Blocks.LOG_OAK.id, 300);
+		addFuelEntry(Blocks.LOG_BIRCH.id, 300);
+		addFuelEntry(Blocks.LOG_PINE.id, 300);
+		addFuelEntry(Blocks.LOG_CHERRY.id, 300);
+		addFuelEntry(Blocks.LOG_OAK_MOSSY.id, 300);
+		addFuelEntry(Blocks.LOG_EUCALYPTUS.id, 300);
+		addFuelEntry(Blocks.LOG_THORN.id, 300);
+		addFuelEntry(Blocks.LOG_PALM.id, 300);
+
+		addFuelEntry(Blocks.SAPLING_OAK.id, 100);
+		addFuelEntry(Blocks.SAPLING_PINE.id, 100);
+		addFuelEntry(Blocks.SAPLING_BIRCH.id, 100);
+		addFuelEntry(Blocks.SAPLING_CHERRY.id, 100);
+		addFuelEntry(Blocks.SAPLING_EUCALYPTUS.id, 100);
+		addFuelEntry(Blocks.SAPLING_SHRUB.id, 100);
+		addFuelEntry(Blocks.SAPLING_OAK_RETRO.id, 100);
+		addFuelEntry(Blocks.SAPLING_CACAO.id, 100);
+		addFuelEntry(Blocks.SAPLING_THORN.id, 100);
+		addFuelEntry(Blocks.SAPLING_PALM.id, 100);
+		addFuelEntry(Blocks.DEADBUSH.id, 100);
+		addFuelEntry(Blocks.SPINIFEX.id, 100);
+
+		addFuelEntry(Blocks.BLOCK_COAL.id, 12800);
+		addFuelEntry(Blocks.BLOCK_CHARCOAL.id, 12800);
+		addFuelEntry(Blocks.BLOCK_NETHER_COAL.id, 25600);
+
+		addFuelEntry(Items.STICK.id, 100);
+
+		addFuelEntry(Items.TOOL_PICKAXE_WOOD.id, 500);
+		addFuelEntry(Items.TOOL_SWORD_WOOD.id, 500);
+		addFuelEntry(Items.TOOL_AXE_WOOD.id, 500);
+		addFuelEntry(Items.TOOL_SHOVEL_WOOD.id, 500);
+		addFuelEntry(Items.TOOL_HOE_WOOD.id, 500);
+		addFuelEntry(Items.TOOL_BOW.id, 300);
+		addFuelEntry(Items.TOOL_FISHINGROD.id, 300);
+
+		addFuelEntry(Items.BOAT.id, 300);
+		addFuelEntry(Items.DOOR_OAK.id, 300);
+		addFuelEntry(Items.SIGN.id, 300);
+		addFuelEntry(Items.BOWL.id, 300);
+		addFuelEntry(Items.TOOL_CALENDAR.id, 300);
+
+		addFuelEntry(Items.COAL.id, 1600);
+		addFuelEntry(Items.NETHERCOAL.id, 6400);
+
+		addFuelEntry(Items.BUCKET_LAVA.id, 20000);
 	}
 
 	public void addFuelEntry(int id, int fuelYield) {
diff --git a/src/main/java/net/minecraft/core/crafting/LookupFuelFurnaceBlast.java b/src/main/java/net/minecraft/core/crafting/LookupFuelFurnaceBlast.java
index a942026a6..aea76c956 100644
--- a/src/main/java/net/minecraft/core/crafting/LookupFuelFurnaceBlast.java
+++ b/src/main/java/net/minecraft/core/crafting/LookupFuelFurnaceBlast.java
@@ -1,7 +1,8 @@
 package net.minecraft.core.crafting;
 
-import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 
 public class LookupFuelFurnaceBlast extends LookupFuelFurnace {
 
@@ -13,11 +14,11 @@ public class LookupFuelFurnaceBlast extends LookupFuelFurnace {
 
 	@Override
 	protected void register() {
-		addFuelEntry(Block.blockNetherCoal.id, 12800);
-		addFuelEntry(Block.blockOlivine.id, 1600);
+		addFuelEntry(Blocks.BLOCK_NETHER_COAL.id, 12800);
+		addFuelEntry(Blocks.BLOCK_OLIVINE.id, 1600);
 
-		addFuelEntry(Item.nethercoal.id, 1600);
-		addFuelEntry(Item.olivine.id, 200);
+		addFuelEntry(Items.NETHERCOAL.id, 1600);
+		addFuelEntry(Items.OLIVINE.id, 200);
 	}
 
 }
diff --git a/src/main/java/net/minecraft/core/data/DataLoader.java b/src/main/java/net/minecraft/core/data/DataLoader.java
index bc2c5bb5e..cc6e57c74 100644
--- a/src/main/java/net/minecraft/core/data/DataLoader.java
+++ b/src/main/java/net/minecraft/core/data/DataLoader.java
@@ -13,7 +13,7 @@ import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.adapter.*;
 import net.minecraft.core.item.ItemStack;
-import net.minecraft.core.net.packet.Packet75RecipeSync;
+import net.minecraft.core.net.packet.RecipeSyncPacket;
 
 import java.io.*;
 import java.lang.reflect.InvocationTargetException;
@@ -203,7 +203,7 @@ public class DataLoader {
         System.out.printf("Registered %d recipes%n",i);
     }
 
-    public static void loadRecipeFromServer(Packet75RecipeSync packet){
+    public static void loadRecipeFromServer(RecipeSyncPacket packet){
         JsonArray jsonArray = JsonParser.parseString(packet.recipe).getAsJsonArray();
         GsonBuilder builder = new GsonBuilder();
         builder.setPrettyPrinting();
diff --git a/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java b/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
index fc95f71ea..98d010b18 100644
--- a/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
+++ b/src/main/java/net/minecraft/core/data/gamerule/TreecapitatorHelper.java
@@ -6,10 +6,10 @@ import java.util.List;
 import java.util.Set;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BlockLeavesBase;
-import net.minecraft.core.block.BlockLog;
-import net.minecraft.core.entity.EntityItem;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.block.BaseLeavesBlock;
+import net.minecraft.core.block.LogBlock;
+import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.world.World;
@@ -19,7 +19,7 @@ public class TreecapitatorHelper {
 	
 	public final World world;
 	public final ChunkPosition basePosition;
-	public final EntityPlayer player;
+	public final Player player;
 	
 	protected final Set<ChunkPosition> allBlocksSet = new HashSet<>();
 	protected final List<ChunkPosition> allBlocksList = new ArrayList<>();
@@ -28,7 +28,7 @@ public class TreecapitatorHelper {
 	
 	protected ChunkPosition lastBrokenBlock = null;
 	
-	public TreecapitatorHelper(World world, int x, int y, int z, EntityPlayer player) {
+	public TreecapitatorHelper(World world, int x, int y, int z, Player player) {
 		this.world = world;
 		this.basePosition = new ChunkPosition(x, y, z);
 		this.player = player;
@@ -46,7 +46,7 @@ public class TreecapitatorHelper {
 		}
 
 		ItemList itemList = null;
-		if(EntityItem.enableItemClumping) {
+		if(ItemEntity.enableItemClumping) {
 			itemList = new ItemList();
 		}
 		
@@ -132,8 +132,8 @@ public class TreecapitatorHelper {
 		for(int i=0; i < allBlocksList.size(); i++) {
 			ChunkPosition pos = allBlocksList.get(i);
 			Block block = world.getBlock(pos.x, pos.y, pos.z);
-			if(block instanceof BlockLeavesBase) {
-				BlockLeavesBase blockLeaves = (BlockLeavesBase) block;
+			if(block instanceof BaseLeavesBlock) {
+				BaseLeavesBlock blockLeaves = (BaseLeavesBlock) block;
 				
 				if(player.getGamemode().dropBlockOnBreak()) {
 					ItemStack[] drops = blockLeaves.getBreakResult(world, EnumDropCause.PROPER_TOOL, pos.x, pos.y, pos.z, world.getBlockMetadata(pos.x, pos.y, pos.z), null);
@@ -214,14 +214,14 @@ public class TreecapitatorHelper {
 	}
 	
 	protected boolean isLog(Block block) {
-		return block instanceof BlockLog;
+		return block instanceof LogBlock;
 	}
 	
 	protected boolean isDecayableLeaf(ChunkPosition pos) {
 		Block block = world.getBlock(pos.x, pos.y, pos.z);
-		if(block instanceof BlockLeavesBase) {
+		if(block instanceof BaseLeavesBlock) {
 			int meta = world.getBlockMetadata(pos.x, pos.y, pos.z);
-			if(BlockLeavesBase.isPermanent(meta)) {
+			if(BaseLeavesBlock.isPermanent(meta)) {
 				return false;
 			}
 			
@@ -265,7 +265,7 @@ public class TreecapitatorHelper {
 						Block block = world.getBlock(x + offX, y + offY, z + offZ);
 						if(isLog(block)) {
 							adjacentTreeBlocks[(offX + b) * a + (offY + b) * byte1 + (offZ + b)] = 0;
-						}else if(block instanceof BlockLeavesBase) {
+						}else if(block instanceof BaseLeavesBlock) {
 							adjacentTreeBlocks[(offX + b) * a + (offY + b) * byte1 + (offZ + b)] = -2;
 						} else {
 							adjacentTreeBlocks[(offX + b) * a + (offY + b) * byte1 + (offZ + b)] = -1;
